View Issue Details

IDProjectCategoryView StatusLast Update
0001920unrealircdpublic2007-06-11 16:23
ReporterwolfwoodAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform*nixOSFreeBSDOS Version4.9
Product Version3.2.1 
Target VersionFixed in Version3.3-alpha0 
Summary0001920: Problem with changing portrange in listen block + /rehash
DescriptionWhen you start your server listening one only port 6664-6665, and then change it to 6660-6669 later on, only ports 6660-6665 will be listened one. I discovered this bug while I was upgrading my network to the latest version, and in order to get ports 6660-6669 i had to restart the server.
Steps To ReproduceCompile Defualt Unreal, with options SSL and ~ & mode support enabled. Setup listen {} like:
listen IP:6664-6665
 {
   options {
    clientsonly;
   };
 };
And start the server. Now go back into the config file, change the listen {} to:
listen IP:6660-6669
 {
   options {
    clientsonly;
   };
 };
And rehash the server. Now do /stats P, only ports 6660-6665 will be opened, and a restart will be required to open ports 6666-6669.
TagsNo tags attached.
3rd party modules

Activities

ryangard

2004-07-09 22:58

reporter   ~0006962

Usually, the server will leave the port open if there are clients connected to it. That would be one reason why the ports would be left open. On the other hand, i cannot explain why it only goes up to 6665

stskeeps

2007-04-27 05:42

reporter   ~0013833

Bump. Does this still exist?

stskeeps

2007-06-11 16:23

reporter   ~0014329

I think this may have been fixed with removing portnum.

Issue History

Date Modified Username Field Change
2004-07-05 19:09 wolfwood New Issue
2004-07-09 22:58 ryangard Note Added: 0006962
2004-07-10 11:34 syzop Summary Error in listen {} block => Problem with changing portrange in listen block + /rehash
2005-12-19 19:33 syzop Severity block => minor
2007-04-27 05:42 stskeeps Note Added: 0013833
2007-04-27 05:42 stskeeps Status new => feedback
2007-06-11 16:23 stskeeps Status feedback => resolved
2007-06-11 16:23 stskeeps Fixed in Version => 3.3-alpha0
2007-06-11 16:23 stskeeps Resolution open => fixed
2007-06-11 16:23 stskeeps Assigned To => stskeeps
2007-06-11 16:23 stskeeps Note Added: 0014329